package com.example.nto.controller;


import com.example.nto.dto.EmployeeDTO;
import com.example.nto.dto.EnterDTO;
import com.example.nto.entity.Code;
import com.example.nto.entity.Employee;
import com.example.nto.entity.EnterType;
import com.example.nto.service.impl.EmployeeServiceImpl;
import lombok.RequiredArgsConstructor;
import org.springframework.http.ResponseEntity;
import org.springframework.security.core.Authentication;
import org.springframework.web.bind.annotation.*;

import java.time.LocalDateTime;

@RestController
@RequiredArgsConstructor
@RequestMapping("/api")
public class EmployeeController {

    private final EmployeeServiceImpl employeeService;

    @GetMapping("/login")
    public ResponseEntity<EmployeeDTO> login(Authentication authentication){
        return ResponseEntity.ok(employeeService.getEmployeeByUsername(authentication.getName()));
    }

    @GetMapping("/info/{login}")
    public ResponseEntity<EmployeeDTO> info(@PathVariable("login") String username){
        return ResponseEntity.ok(employeeService.getInfo(username));
    }

    @PostMapping("/add/{login}")
    public ResponseEntity<EnterDTO> add(@PathVariable("login") String login, @RequestBody EnterDTO enterDTO){
        return ResponseEntity.ok(employeeService.addEnter(login, enterDTO));
    }
}
